Operations
Retry an asynchronous operation
Retries the same durable execution identity when its failure is explicitly retryable.
Retries the same durable execution identity when its failure is explicitly retryable. Retrying an organization deletion additionally requires organization:delete.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
operationId*string
Match
^op_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/operations/string/retry"{ "operation": { "id": "string", "organizationId": "string", "kind": "email-domain-provisioning", "subject": { "type": "string", "id": "string" }, "actor": { "type": "user", "id": "string" }, "status": "pending", "phase": "accepted", "error": { "code": "validation-failed", "message": "string" }, "createdAt": "string", "updatedAt": "string", "startedAt": "string", "completedAt": "string" }, "links": { "self": "string", "resource": { "resource": { "type": "string", "id": "string" }, "href": "string" } }}Related documentation
List asynchronous operations
Lists durable asynchronous operation state for the active organization. Use this endpoint to list asynchronous operations through the Samva email API.
Export messaging analytics data
Exports one record per outbound message accepted in the given date range as CSV or JSON and returns the file content inline.